## Function `inSkyEllipse( lon0, lat0, lonCenter, latCenter, rA, rB, posAng )`

Description:
  Tests whether a given sky position is inside a given ellipse.

Parameters:
  `lon0` (floating point)
    test point longitude in degrees
  `lat0` (floating point)
    test point latitude in degrees
  `lonCenter` (floating point)
    ellipse center longitude in degrees
  `latCenter` (floating point)
    ellipse center latitude in degrees
  `rA` (floating point)
    ellipse first principal radius in degrees
  `rB` (floating point)
    ellipse second principal radius in degrees
  `posAng` (floating point)
    position angle in degrees from the North pole to the primary axis of the ellipse in the direction of increasing longitude

Return Value (boolean):
  true iff test point is inside, or on the border of, the ellipse

Signature:
  `boolean inSkyEllipse(double, double, double, double, double, double, double)`